#ifndef W_MODRU_H
#define W_MODRU_H


typedef struct W_modr_user_t *W_modr_user_p;

W_modr_user_p
W_modr_user_new (W_domain_t *d);

void
W_modr_user_read_mean (W_modr_user_p modr, tokens_parser parser, W_domain_t *d);

void
W_modr_user_read_mode (W_modr_user_p modr, tokens_parser parser, W_domain_t *d);

int
W_modr_user_include_mode (W_modr_user_p modr, int to_replace, double *data);

int
W_modr_user_revert_to_orig_modes (W_modr_user_p modr);

int
W_modr_user_get_nmodes (W_modr_user_p modr);

void
W_modr_user_dof_modes (W_modr_user_p modr, W_index_t dof, double *v, double *mean);

void
W_modr_user_read_modes (W_modr_user_p modr, const char *file);

int
W_modr_user_set_max_nm (W_modr_user_p modr, int max_nm);

LIST_OF (int) 
W_modr_user_set_modenl (W_modr_user_p modr, LIST_OF (int)  modenl);

int
W_modr_user_get_max_nm (W_modr_user_p modr);

void
W_modr_user_show_mode (W_modr_user_p modr, int mode);

#endif
