
#ifndef WXF_H
#define WXF_H

#ifdef X_XFACE

#include "Esimple.h"     

#define WXF_loop ESIEventLoop

void
WXF_error(char *errmsg, int kind);

#define WX_ELEM_LAYER              0
#define WX_NODE_LAYER              1
#define WX_LOAD_LAYER              2
#define WX_BCS_LAYER               3
#define WX_NATURAL_CF_LAYER        4
#define WX_RIGID_CF_LAYER          5
#define WX_NATURAL_CE_LAYER        6
#define WX_RIGID_CE_LAYER          7
#define WX_ANNOT_LAYER            13

void
WXF_show_graphics (int stay, char *title, double time);

/*
  Initialize graphics subsystem. No windows or other interface components are
  created.
*/
int
WXF_init (int argc, /* number of arguments; these are the command-line arguments */
                        char *argv[] /* array of arguments */
          );
int 
WXF_build_interface (int argc, char *argv[], void *client);
int /* ignore */
WXF_build_interface_no_popup (int argc, /* number of arguments; these are the command-line arguments */
                              char *argv[], /* array of arguments */
                              void *client /* client linked to the graphics model (the domain) */
                              );
void
WXF_process_elixir_cmds (char *name) ;

#endif /* #ifdef X_XFACE */

#endif
