#ifndef WEFGSS_H
#   define WEFGSS_H

typedef struct ip_ctx_data_t {
  WEFG_superelem_t         *se;
  WEFG_sf_tab_t             sftab;
}              ip_ctx_data_t;
  

void
efgss_set_caller(char *file, int line);

void
efgss_at_new_ip(void);

#define EFGSS_AT_NEW_IP() \
   { efgss_set_caller(__FILE__, __LINE__); efgss_at_new_ip(); }

W_bool_t 
efgss_get_kinem_var(W_mat_3d_ip_ctx_t *ctx,
                     W_mat_3d_kinem_var_type_enum  type,
                     double kinvar[3][3]);

#endif /* WEFGSS_H */
