#ifndef WIUTIL_H
#   define WIUTIL_H

#define IX vindex

#define VECT_LOOP(START, END, AN_EXPR)              \
   {                                                \
      int vindex = (START), vend = (END);           \
                                                    \
      for (; vindex <= vend; vindex++) { AN_EXPR; } \
   }               

/* Note LENGTH+1 ... the vectors are index by 1, ..., LENGTH!!! */
#define MAKE_ZERO_VECTOR(PTR, EL_T, LENGTH)                                  \
   if (((PTR) = (W_vector_t)make_node(sizeof(EL_T)*(LENGTH+1))) == NULL) {   \
      REPORT_FATAL_ERROR("MAKE_ZERO_VECTOR failed");                         \
   }                                                                         \
   VECT_LOOP(1, (LENGTH), (PTR)[IX] = 0.0)

#endif /* !WIUTIL_H */
