#include "Wconfig.h"
#include "Wtypes.h"
#include "Wutil.h"
#include "Wcdi.h"
#include "Wdomain.h"
#include "Wnode.h"
#include "Wxf.h"
#include "Wcontface.h"
#include "Wpencont.h"

/* RCSHEADER "$Id: contface.c,v 1.1.1.1 2001/07/24 02:42:51 pkrysl Exp $" */

WCF_contact_face_t *
WCF_new_contact_face (W_node_t *n0,
                      W_node_t *n1,
                      W_node_t *n2,
                      W_node_t *n3)
{
  WCF_contact_face_t *cf;
  cf = w_new (WCF_contact_face_t); CHECK_MALLOC (cf);
  cf->num_nodes = 0;
  cf->node[0] = n0; if (cf->node[0]) cf->num_nodes++;
  cf->node[1] = n1; if (cf->node[1]) cf->num_nodes++;
  cf->node[2] = n2; if (cf->node[2]) cf->num_nodes++;
  cf->node[3] = n3; if (cf->node[3]) cf->num_nodes++;
  return cf;
}
