function [M] =  t4_to_mat6x6 (T)
  M = sym(zeros (6,6)) ;
  for i = 1:3
    for j = 1:3
      for k = 1:3
        for l = 1:3    
           r = pair_to_matidx (i,j);
           s = pair_to_matidx (k,l);     
           M(r,s) = T(i,j,k,l);
        end
      end
    end
  end
  return; 

function matidx = pair_to_matidx (i,j)
    if     (i == 1 & j == 1) matidx = 1;
    elseif (i == 2 & j == 2) matidx = 2;
    elseif (i == 3 & j == 3) matidx = 3;
    elseif (i == 1 & j == 2) matidx = 4;
    elseif (i == 2 & j == 1) matidx = 4;
    elseif (i == 1 & j == 3) matidx = 5;
    elseif (i == 3 & j == 1) matidx = 5;
    elseif (i == 3 & j == 2) matidx = 6;
    elseif (i == 2 & j == 3) matidx = 6;
    else                   matidx = -1;
    end
    return;

